Bug 242964 - X server on i915 (T60) locks on shutdown with "mottled" screen
X server on i915 (T60) locks on shutdown with "mottled" screen
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2007-06-06 14:02 EDT by Clark Williams
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-02 04:28:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
T60 X11 config file (802 bytes, application/octet-stream)
2007-06-15 11:46 EDT, Clark Williams
no flags Details
current X11 log file (45.21 KB, text/plain)
2007-06-15 11:47 EDT, Clark Williams
no flags Details
archived X11 log file (45.49 KB, text/plain)
2007-06-15 11:50 EDT, Clark Williams
no flags Details
X log from start with no xorg.conf (72.20 KB, text/plain)
2007-06-15 13:58 EDT, Clark Williams
no flags Details

  None (edit)
Description Clark Williams 2007-06-06 14:02:15 EDT
Description of problem:

When shutting down the X server (either from system reboot/shutdown, quit button
or ctrl-alt-backspace), sometimes the server locks with a mostly blank screen,
littered with slightly lighter blocks about the size of a text cursor block.
Reboot is required to recover

Version-Release number of selected component (if applicable):

$ rpm -q xorg-x11-drv-i810

How reproducible:

Steps to Reproduce:
1. Run X windows
2. stop the server (shutdown/reboot, quit/logout button, ctrl-alt-bs)
3. Look for blank screen lockup
Actual results:
random lockup

Expected results:
return to either console prompt or XDM screen or system shutdown/reboot

Additional info:
Comment 1 Clark Williams 2007-06-12 22:57:12 EDT
Saw this today when trying to switch to vt1 with ctl-alt-f1. 

Comment 2 Matěj Cepl 2007-06-15 11:40:25 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Clark Williams 2007-06-15 11:46:06 EDT
Created attachment 157124 [details]
T60 X11 config file

X11 config file
Comment 4 Clark Williams 2007-06-15 11:47:23 EDT
Created attachment 157125 [details]
current X11 log file
Comment 5 Clark Williams 2007-06-15 11:50:28 EDT
Created attachment 157126 [details]
archived X11 log file
Comment 6 Clark Williams 2007-06-15 13:58:57 EDT
Created attachment 157137 [details]
X log from start with no xorg.conf

This Xorg.0.log is from starting X+GNOME with no /etc/X11/xorg.conf
Comment 7 Matěj Cepl 2007-06-15 17:07:07 EDT
I am not sure, but it looks like you have problems with SELinux. Could you post
here what you get from getenforce command? Could you please try to relabel your
hard drive (as an user root touch /.autorelabel and reboot; could take some
time, ten, fifteen minutes, before the reboot will finish). What are the results?
Comment 8 Clark Williams 2007-06-15 17:11:25 EDT
# getenforce

I'll relabel and reboot in a bit (got a kernel build going :))
Comment 9 Matěj Cepl 2007-06-19 11:50:14 EDT
We are still not done.
Comment 10 Matěj Cepl 2007-08-01 13:10:29 EDT
Reporter, could you please try to relabel your machine and try to reproduce the bug?

If you won't reply in one month, I will have to close this bug as
Comment 11 Clark Williams 2007-08-01 13:18:10 EDT
Argh. I completely forgot about this. I haven't had it happen in quite some time. 

I have relabeled my filesystem twice since reporting this and haven't seen the
problem. I had some unrelated SELinux issues this week and disabled it, which is
how I'm running now (on up-to-date rawhide).

I suppose we should go ahead and close this, since I can't seem to reproduce it.

Comment 12 Matěj Cepl 2007-08-02 04:28:36 EDT
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.